Module javafx.graphics
Package javafx.scene.input

# Class InputMethodTextRun

java.lang.Object
javafx.scene.input.InputMethodTextRun

All Implemented Interfaces:
  `Serializable`

    public class InputMethodTextRun
    extends Object
    implements Serializable

Represents a single run in which the characters have the same set of highlights in the input method text.

Note: this is a conditional feature. See `ConditionalFeature.INPUT_METHOD` for more information.

Since:
  JavaFX 2.0
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InputMethodTextRun​(String text, InputMethodHighlight highlight)` | Constructs a single text run of an input method.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InputMethodHighlight` | `getHighlight()` | Gets the highlight used for displaying this text.
  `String` | `getText()` | Gets the text in this run.
  `String` | `toString()` | Returns a string representation of this `InputMethodTextRun` object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputMethodTextRun

    public InputMethodTextRun​(String text, InputMethodHighlight highlight)
    Constructs a single text run of an input method.
    Parameters:
      `text` - the text in the text run
      `highlight` - the highlighting of the text
    Since:
      JavaFX 8.0

- ## Method Details

  - ### getText

    public final String getText()
    Gets the text in this run.
    Returns:
      the text in this run

  - ### getHighlight

    public final InputMethodHighlight getHighlight()
    Gets the highlight used for displaying this text.
    Returns:
      the highlight used for displaying this text

  - ### toString

    public String toString()
    Returns a string representation of this `InputMethodTextRun` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `InputMethodTextRun` object.